package net.minecraft.client.renderer.entity;

import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.Mob;
import com.mojang.blaze3d.vertex.PoseStack;
import net.minecraft.core.BlockPos;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.model.VexModel;
import net.minecraft.world.entity.monster.Vex;

public class VexRenderer extends HumanoidMobRenderer<Vex, VexModel> {
    private static final ResourceLocation VEX_LOCATION;
    private static final ResourceLocation VEX_CHARGING_LOCATION;
    
    public VexRenderer(final EntityRenderDispatcher egm) {
        super(egm, new VexModel(), 0.3f);
    }
    
    protected int getBlockLightLevel(final Vex bcp, final BlockPos fu) {
        return 15;
    }
    
    @Override
    public ResourceLocation getTextureLocation(final Vex bcp) {
        if (bcp.isCharging()) {
            return VexRenderer.VEX_CHARGING_LOCATION;
        }
        return VexRenderer.VEX_LOCATION;
    }
    
    @Override
    protected void scale(final Vex bcp, final PoseStack dhl, final float float3) {
        dhl.scale(0.4f, 0.4f, 0.4f);
    }
    
    static {
        VEX_LOCATION = new ResourceLocation("textures/entity/illager/vex.png");
        VEX_CHARGING_LOCATION = new ResourceLocation("textures/entity/illager/vex_charging.png");
    }
}
